BuildTargetsPage (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetsPage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.ui.shared
Class BuildTargetsPage

    java.lang.Object
      WizardPage
          com.nokia.carbide.cpp.sdk.ui.shared.BuildTargetsPage

All Implemented Interfaces:
  com.nokia.carbide.internal.api.templatewizard.ui.IWizardDataPage

    public class BuildTargetsPage

extends WizardPage
implements com.nokia.carbide.internal.api.templatewizard.ui.IWizardDataPage

Wizard page used to select a list of Carbide.c++ build configurations. Currently used by the new project and import bld.inf wizards, but can be used by any wizard that needs to get a list of build configs.

Nested Class Summary
`protected static class` | `BuildTargetsPage.FilteringContentProviderWrapper`

Field Summary
`protected BuildTargetsPage.FilteringContentProviderWrapper` | `filteringContentProviderWrapper`
`static java.lang.String` | `SBSV2BUILDER`
`protected static java.lang.String` | `SELECTED_BUILD_CONFIGS_VALUE_KEY`
`protected static java.lang.String` | `UID`
`protected ContainerCheckedTreeViewer` | `viewer`

Constructor Summary
`BuildTargetsPage()` Default constructor

Method Summary
`protected void` | `addOtherControls(Composite parent)` Add more controls after the tree and filter checkbox.
`protected void` | `checkPathWithSDKs(IPath path)`
`void` | `createControl(Composite parent)` see `IDialogPage#createControl(Composite)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getPageValues()` Returns the list of build configs selected in this page to template wizards.
`java.util.List<ISymbianBuildContext>` | `getSelectedBuildConfigs()` Gets the list of build configs selected in this page
`void` | `performHelp()`
`void` | `setHideFilterCheckbox()` Hides the "Filter SDKs based on selected template" checkbox
`void` | `setSelectedTemplate(com.nokia.carbide.internal.api.template.engine.Template template)` If using the template filter checkbox, this allows you to set the template to filter on.
`void` | `setVisible(boolean visible)` See `IDialogPage#setVisible(boolean)`
`protected boolean` | `validatePage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UID

    protected static final java.lang.String UID

See Also:
  Constant Field Values

### SELECTED_BUILD_CONFIGS_VALUE_KEY

    protected static final java.lang.String SELECTED_BUILD_CONFIGS_VALUE_KEY

See Also:
  Constant Field Values

### SBSV2BUILDER

    public static final java.lang.String SBSV2BUILDER

Since:
  1.4
See Also:
  Constant Field Values

### viewer

    protected ContainerCheckedTreeViewer viewer

### filteringContentProviderWrapper

    protected BuildTargetsPage.FilteringContentProviderWrapper filteringContentProviderWrapper

Constructor Detail

### BuildTargetsPage

    public BuildTargetsPage()

  Default constructor

Method Detail

### createControl

    public void createControl(Composite parent)

  see `IDialogPage#createControl(Composite)`

### addOtherControls

    protected void addOtherControls(Composite parent)

  Add more controls after the tree and filter checkbox. Allows subclasses to add more controls.

  Since:
    1.4

### setSelectedTemplate

    public void setSelectedTemplate(com.nokia.carbide.internal.api.template.engine.Template template)

  If using the template filter checkbox, this allows you to set the template to filter on.

  Parameters:
    `template` - the template to filter on

### setHideFilterCheckbox

    public void setHideFilterCheckbox()

  Hides the "Filter SDKs based on selected template" checkbox

### validatePage

    protected boolean validatePage()

### checkPathWithSDKs

    protected void checkPathWithSDKs(IPath path)

### getPageValues

    public java.util.Map<java.lang.String,java.lang.Object> getPageValues()

  Returns the list of build configs selected in this page to template wizards.

  Specified by:
    `getPageValues` in interface `com.nokia.carbide.internal.api.templatewizard.ui.IWizardDataPage`
  Returns:
    the map of values for this page - a singleton map containing the list of selected build configs mapped to the key "selectedBuildConfigs".

### getSelectedBuildConfigs

    public java.util.List<ISymbianBuildContext> getSelectedBuildConfigs()

  Gets the list of build configs selected in this page

  Returns:
    the list of build configs checked in the tree viewer

### setVisible

    public void setVisible(boolean visible)

  See `IDialogPage#setVisible(boolean)`

### performHelp

    public void performHelp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD